#!/bin/sh

EXE_FILE=sdcacryptotinyserver
WWW_MNG_FILE=sdcasofcertmng.html
WWW_TEST_FILE=testsdcasecurityclient.html
SDCAAPP_DIR=/opt/com.sdca.certmng
SDCABIN_DIR=$SDCAAPP_DIR/bin
SDCALIBRARY_DIR=$SDCAAPP_DIR/lib
SDCASCRIPT_DIR=$SDCAAPP_DIR/www/sdcasof
UKDRIVER_DIR=$SDCAAPP_DIR/driver

ARCH=$(uname -m)
SDCAPLUGINS_DIR=$SDCAAPP_DIR/plugins
SDCAPLUGIN_BIN_DIR=$SDCAPLUGINS_DIR/$ARCH/bin
SDCAPLUGIN_LIB_DIR=$SDCAPLUGINS_DIR/$ARCH/lib
SDCAPLUGIN_DRIVER_DIR=$SDCAPLUGINS_DIR/$ARCH/driver

echo $SDCAPLUGIN_BIN_DIR
echo $SDCAPLUGIN_LIB_DIR
echo $SDCAPLUGIN_DRIVER_DIR

if [ ! "$(ls -A $SDCABIN_DIR)" ]; then
    echo "cp bin's files from plugins ..."
    cp -r "$SDCAPLUGIN_BIN_DIR"/* "$SDCABIN_DIR"/
else
    echo "skip cp bin's files..."
fi

if [ ! "$(ls -A $SDCALIBRARY_DIR)" ]; then
    echo "cp lib's files from plugins ..."
    cp -r "$SDCAPLUGIN_LIB_DIR"/* "$SDCALIBRARY_DIR"/
else
    echo "skip cp lib's files..."
fi

if [ ! "$(ls -A $UKDRIVER_DIR)" ]; then
    echo "cp driver's files from plugins ..."
    cp -r "$SDCAPLUGIN_DRIVER_DIR"/* "$UKDRIVER_DIR"/
else
    echo "skip cp dirver's files..."
fi

cd $SDCABIN_DIR
echo $SDCABIN_DIR

if [ -f $SDCABIN_DIR/$EXE_FILE ] ; then
      SERVER_PID=$(ps -ef|grep $EXE_FILE|grep -v grep|awk '{print $2}')
    if [ -n "$SERVER_PID" ]; then 
        echo "$EXE_FILE PID: $SERVER_PID"
        echo "$EXE_FILE is running"
    else
        sleep 1
        nohup ./$EXE_FILE >/dev/null 2>&1 &
        sleep 1	
        if [ -n "$(ps -ef|grep $EXE_FILE|grep -v grep|awk '{print $2}')" ]; then 
            echo "$EXE_FILE PID: $(ps -ef|grep $EXE_FILE|grep -v grep|awk '{print $2}')"
            echo "$EXE_FILE is running"           
        else
            sleep 3
            killall $EXE_FILE
            nohup ./$EXE_FILE >/dev/null 2>&1 &		
              if [ -n "$(ps -ef|grep $EXE_FILE|grep -v grep|awk '{print $2}')" ]; then 
                 echo "$EXE_FILE PID: $(ps -ef|grep $EXE_FILE|grep -v grep|awk '{print $2}')"
                 echo "$EXE_FILE is running"           
              else
                 echo "Failed to start. Please restart the com.sdca.certmng installation."
                 exit 1
              fi
        fi
    fi
else
    echo “$SDCABIN_DIR/$EXE_FILE does not exsit.”
fi
